      $SET SQL(DBMAN=ODBC)
      *********************************************************
      * Test Visual Cobol access to MySQL database using ODBC *
      *********************************************************
       identification division.
       program-id. test-mysql2.
       data division.
       working-storage section.
           EXEC SQL INCLUDE SQLCA END-EXEC.
       01 country-code pic u(3).
       01 country-name pic u(52).
       01 country-capital pic u(35).
           EXEC SQL BEGIN DECLARE SECTION END-EXEC.
       procedure division.
       main section.
           EXEC SQL CONNECT TO "MySQLWorld" USER "allu"
             USING "password"
           END-EXEC.
           if sqlcode not = 0
               display "Cannot connect to 'world' database"
               display "SQL code = " sqlcode
               display sqlerrmc
               stop run
           end-if.
           move "XXX" to country-code.
           perform Do-country
             until country-code = spaces.
           EXEC SQL
               DISCONNECT CURRENT
           END-EXEC.
           stop run.
       Do-country.
           display "Enter country code (ex: USA; ENTER to terminate): "
             with no advancing.
           accept country-code.
           if country-code not = spaces
               EXEC SQL
                 SELECT country.Name, city.Name
                   INTO :country-name, :country-capital
                   FROM country, city
                   WHERE country.Code = :country-code
                   AND country.Capital = city.ID
               END-EXEC
               if sqlcode = 0
                   display "Country: " country-name
                   display "Capital: " country-capital
                   display " "
               else
                   if sqlcode = 100
                       display "Unknown country code"
                       display " "
                   else
                       display "Error when reading 'world' database"
                       display "SQL code = " sqlcode
                       display sqlerrmc
                   end-if
               end-if
           end-if.
